Loading...
Searching...
No Matches
UriUriStructA Struct Reference

`#include <Uri.h>`

## Data Fields

UriTextRangeA | scheme
UriTextRangeA | userInfo
UriTextRangeA | hostText
UriHostDataA | hostData
UriTextRangeA | portText
UriPathSegmentA * | pathHead
UriPathSegmentA * | pathTail
UriTextRangeA | query
UriTextRangeA | fragment
UriBool | absolutePath
UriBool | owner
void * | reserved

## Detailed Description

Represents an RFC 3986 URI. Missing components can be {NULL, NULL} ranges.

See also
  uriFreeUriMembersA
  uriFreeUriMembersMmA
  UriParserStateA

Since
  0.3.0

## Field Documentation

## absolutePath

UriBool absolutePath

Absolute path flag, distincting "a" and "/a"; always `URI_FALSE` for URIs with host

## fragment

UriTextRangeA fragment

Query without leading "#"

## hostData

UriHostDataA hostData

Structured host type specific data

## hostText

UriTextRangeA hostText

Host text (set for all hosts, excluding square brackets)

## owner

UriBool owner

Memory owner flag

## pathHead

UriPathSegmentA* pathHead

Head of a linked list of path segments

## pathTail

UriPathSegmentA* pathTail

Tail of the list behind pathHead

## portText

UriTextRangeA portText

Port (e.g. "80")

## query

UriTextRangeA query

Query without leading "?"

## reserved

void* reserved

Reserved to the parser

## scheme

UriTextRangeA scheme

Scheme (e.g. "http")

## userInfo

UriTextRangeA userInfo

User info (e.g. "user:pass")

The documentation for this struct was generated from the following file:

- Uri.h